Index: uspace/lib/c/generic/net/socket_client.c
===================================================================
--- uspace/lib/c/generic/net/socket_client.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/generic/net/socket_client.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -79,9 +79,4 @@
 typedef struct socket socket_t;
 
-/** Type definition of the socket specific data pointer.
- * @see socket
- */
-typedef socket_t *socket_ref;
-
 /** Socket specific data.
  *
@@ -162,5 +157,5 @@
 
 	/** Active sockets. */
-	sockets_ref sockets;
+	sockets_t *sockets;
 
 	/** Safety lock.
@@ -183,11 +178,11 @@
 /** Returns the active sockets.
  *
- *  @returns		The active sockets.
- */
-static sockets_ref socket_get_sockets(void)
+ *  @return		The active sockets.
+ */
+static sockets_t *socket_get_sockets(void)
 {
 	if (!socket_globals.sockets) {
 		socket_globals.sockets =
-		    (sockets_ref) malloc(sizeof(sockets_t));
+		    (sockets_t *) malloc(sizeof(sockets_t));
 		if (!socket_globals.sockets)
 			return NULL;
@@ -213,5 +208,5 @@
 	ipc_callid_t callid;
 	ipc_call_t call;
-	socket_ref socket;
+	socket_t *socket;
 	int rc;
 
@@ -291,6 +286,6 @@
  * Connects to the TCP module if necessary.
  *
- * @returns		The TCP module phone.
- * @returns		Other error codes as defined for the
+ * @return		The TCP module phone.
+ * @return		Other error codes as defined for the
  *			bind_service_timeout() function.
  */
@@ -310,6 +305,6 @@
  * Connects to the UDP module if necessary.
  *
- * @returns		The UDP module phone.
- * @returns		Other error codes as defined for the
+ * @return		The UDP module phone.
+ * @return		Other error codes as defined for the
  *			bind_service_timeout() function.
  */
@@ -327,10 +322,10 @@
 /** Tries to find a new free socket identifier.
  *
- * @returns		The new socket identifier.
- * @returns		ELIMIT if there is no socket identifier available.
+ * @return		The new socket identifier.
+ * @return		ELIMIT if there is no socket identifier available.
  */
 static int socket_generate_new_id(void)
 {
-	sockets_ref sockets;
+	sockets_t *sockets;
 	int socket_id = 0;
 	int count;
@@ -372,5 +367,5 @@
  */
 static void
-socket_initialize(socket_ref socket, int socket_id, int phone,
+socket_initialize(socket_t *socket, int socket_id, int phone,
     services_t service)
 {
@@ -392,18 +387,18 @@
  * @param[in] type	Socket type.
  * @param[in] protocol	Socket protocol.
- * @returns		The socket identifier on success.
- * @returns		EPFNOTSUPPORT if the protocol family is not supported.
- * @returns		ESOCKNOTSUPPORT if the socket type is not supported.
- * @returns		EPROTONOSUPPORT if the protocol is not supported.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		ELIMIT if there was not a free socket identifier found
+ * @return		The socket identifier on success.
+ * @return		EPFNOTSUPPORT if the protocol family is not supported.
+ * @return		ESOCKNOTSUPPORT if the socket type is not supported.
+ * @return		EPROTONOSUPPORT if the protocol is not supported.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		ELIMIT if there was not a free socket identifier found
  *			this time.
- * @returns		Other error codes as defined for the NET_SOCKET message.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the NET_SOCKET message.
+ * @return		Other error codes as defined for the
  *			bind_service_timeout() function.
  */
 int socket(int domain, int type, int protocol)
 {
-	socket_ref socket;
+	socket_t *socket;
 	int phone;
 	int socket_id;
@@ -463,5 +458,5 @@
 
 	// create a new socket structure
-	socket = (socket_ref) malloc(sizeof(socket_t));
+	socket = (socket_t *) malloc(sizeof(socket_t));
 	if (!socket)
 		return ENOMEM;
@@ -514,9 +509,9 @@
  * @param[in] data	The data to be sent.
  * @param[in] datalength The data length.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		EBADMEM if the data parameter is NULL.
- * @returns		NO_DATA if the datalength parameter is zero (0).
- * @returns		Other error codes as defined for the spcific message.
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		EBADMEM if the data parameter is NULL.
+ * @return		NO_DATA if the datalength parameter is zero (0).
+ * @return		Other error codes as defined for the spcific message.
  */
 static int
@@ -524,5 +519,5 @@
     const void *data, size_t datalength)
 {
-	socket_ref socket;
+	socket_t *socket;
 	aid_t message_id;
 	ipcarg_t result;
@@ -559,9 +554,9 @@
  * @param[in] my_addr	The port address.
  * @param[in] addrlen	The address length.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		EBADMEM if the my_addr parameter is NULL.
- * @returns		NO_DATA if the addlen parameter is zero.
- * @returns		Other error codes as defined for the NET_SOCKET_BIND
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		EBADMEM if the my_addr parameter is NULL.
+ * @return		NO_DATA if the addlen parameter is zero.
+ * @return		Other error codes as defined for the NET_SOCKET_BIND
  *			message.
  */
@@ -580,13 +575,13 @@
  * @param[in] socket_id	Socket identifier.
  * @param[in] backlog	The maximum number of waiting sockets to be accepted.
- * @returns		EOK on success.
- * @returns		EINVAL if the backlog parameter is not positive (<=0).
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		Other error codes as defined for the NET_SOCKET_LISTEN
+ * @return		EOK on success.
+ * @return		EINVAL if the backlog parameter is not positive (<=0).
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		Other error codes as defined for the NET_SOCKET_LISTEN
  *			message.
  */
 int listen(int socket_id, int backlog)
 {
-	socket_ref socket;
+	socket_t *socket;
 	int result;
 
@@ -618,15 +613,15 @@
  * @param[out] cliaddr	The remote client address.
  * @param[in] addrlen	The address length.
- * @returns		EOK on success.
- * @returns		EBADMEM if the cliaddr or addrlen parameter is NULL.
- * @returns		EINVAL if the backlog parameter is not positive (<=0).
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		Other error codes as defined for the NET_SOCKET_ACCEPT
+ * @return		EOK on success.
+ * @return		EBADMEM if the cliaddr or addrlen parameter is NULL.
+ * @return		EINVAL if the backlog parameter is not positive (<=0).
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		Other error codes as defined for the NET_SOCKET_ACCEPT
  *			message.
  */
 int accept(int socket_id, struct sockaddr * cliaddr, socklen_t * addrlen)
 {
-	socket_ref socket;
-	socket_ref new_socket;
+	socket_t *socket;
+	socket_t *new_socket;
 	aid_t message_id;
 	ipcarg_t ipc_result;
@@ -661,5 +656,5 @@
 
 	// create a new scoket
-	new_socket = (socket_ref) malloc(sizeof(socket_t));
+	new_socket = (socket_t *) malloc(sizeof(socket_t));
 	if (!new_socket) {
 		fibril_mutex_unlock(&socket->accept_lock);
@@ -721,9 +716,9 @@
  * @param[in] serv_addr	The remote server address.
  * @param[in] addrlen	The address length.
- * @returns		EOK on success.
- * @returns		EBADMEM if the serv_addr parameter is NULL.
- * @returns		NO_DATA if the addlen parameter is zero.
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		Other error codes as defined for the NET_SOCKET_CONNECT
+ * @return		EOK on success.
+ * @return		EBADMEM if the serv_addr parameter is NULL.
+ * @return		NO_DATA if the addlen parameter is zero.
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		Other error codes as defined for the NET_SOCKET_CONNECT
  *			message.
  */
@@ -745,5 +740,5 @@
  * @param[in] socket	The socket to be destroyed.
  */
-static void socket_destroy(socket_ref socket)
+static void socket_destroy(socket_t *socket)
 {
 	int accepted_id;
@@ -761,14 +756,14 @@
  *
  * @param[in] socket_id	Socket identifier.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		EINPROGRESS if there is another blocking function in
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		EINPROGRESS if there is another blocking function in
  *			progress.
- * @returns		Other error codes as defined for the NET_SOCKET_CLOSE
+ * @return		Other error codes as defined for the NET_SOCKET_CLOSE
  *			message.
  */
 int closesocket(int socket_id)
 {
-	socket_ref socket;
+	socket_t *socket;
 	int rc;
 
@@ -811,10 +806,10 @@
  *			sockets.
  * @param[in] addrlen	The address length. Used only if toaddr is not NULL.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		EBADMEM if the data or toaddr parameter is NULL.
- * @returns		NO_DATA if the datalength or the addrlen parameter is
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		EBADMEM if the data or toaddr parameter is NULL.
+ * @return		NO_DATA if the datalength or the addrlen parameter is
  *			zero (0).
- * @returns		Other error codes as defined for the NET_SOCKET_SENDTO
+ * @return		Other error codes as defined for the NET_SOCKET_SENDTO
  *			message.
  */
@@ -824,5 +819,5 @@
     socklen_t addrlen)
 {
-	socket_ref socket;
+	socket_t *socket;
 	aid_t message_id;
 	ipcarg_t result;
@@ -913,9 +908,9 @@
  * @param[in] datalength The data length.
  * @param[in] flags	Various send flags.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		EBADMEM if the data parameter is NULL.
- * @returns		NO_DATA if the datalength parameter is zero.
- * @returns		Other error codes as defined for the NET_SOCKET_SEND
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		EBADMEM if the data parameter is NULL.
+ * @return		NO_DATA if the datalength parameter is zero.
+ * @return		Other error codes as defined for the NET_SOCKET_SEND
  *			message.
  */
@@ -937,10 +932,10 @@
  * @param[in] toaddr	The destination address.
  * @param[in] addrlen	The address length.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		EBADMEM if the data or toaddr parameter is NULL.
- * @returns		NO_DATA if the datalength or the addrlen parameter is
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		EBADMEM if the data or toaddr parameter is NULL.
+ * @return		NO_DATA if the datalength or the addrlen parameter is
  *			zero.
- * @returns		Other error codes as defined for the NET_SOCKET_SENDTO
+ * @return		Other error codes as defined for the NET_SOCKET_SENDTO
  *			message.
  */
@@ -971,9 +966,9 @@
  *			read. The actual address length is set. Used only if
  *			fromaddr is not NULL.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		EBADMEM if the data parameter is NULL.
- * @returns		NO_DATA if the datalength or addrlen parameter is zero.
- * @returns		Other error codes as defined for the spcific message.
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		EBADMEM if the data parameter is NULL.
+ * @return		NO_DATA if the datalength or addrlen parameter is zero.
+ * @return		Other error codes as defined for the spcific message.
  */
 static int
@@ -981,5 +976,5 @@
     int flags, struct sockaddr *fromaddr, socklen_t *addrlen)
 {
-	socket_ref socket;
+	socket_t *socket;
 	aid_t message_id;
 	ipcarg_t ipc_result;
@@ -1100,9 +1095,9 @@
  * @param[in] datalength The data length.
  * @param[in] flags	Various receive flags.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		EBADMEM if the data parameter is NULL.
- * @returns		NO_DATA if the datalength parameter is zero.
- * @returns		Other error codes as defined for the NET_SOCKET_RECV
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		EBADMEM if the data parameter is NULL.
+ * @return		NO_DATA if the datalength parameter is zero.
+ * @return		Other error codes as defined for the NET_SOCKET_RECV
  *			message.
  */
@@ -1123,9 +1118,9 @@
  * @param[in,out] addrlen The address length. The maximum address length is
  *			read. The actual address length is set.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		EBADMEM if the data or fromaddr parameter is NULL.
- * @returns		NO_DATA if the datalength or addrlen parameter is zero.
- * @returns		Other error codes as defined for the NET_SOCKET_RECVFROM
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		EBADMEM if the data or fromaddr parameter is NULL.
+ * @return		NO_DATA if the datalength or addrlen parameter is zero.
+ * @return		Other error codes as defined for the NET_SOCKET_RECVFROM
  *			message.
  */
@@ -1153,9 +1148,9 @@
  * @param[in,out] optlen The value buffer length. The maximum length is read.
  *			The actual length is set.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		EBADMEM if the value or optlen parameter is NULL.
- * @returns		NO_DATA if the optlen parameter is zero.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		EBADMEM if the value or optlen parameter is NULL.
+ * @return		NO_DATA if the optlen parameter is zero.
+ * @return		Other error codes as defined for the
  *			NET_SOCKET_GETSOCKOPT message.
  */
@@ -1163,5 +1158,5 @@
 getsockopt(int socket_id, int level, int optname, void *value, size_t *optlen)
 {
-	socket_ref socket;
+	socket_t *socket;
 	aid_t message_id;
 	ipcarg_t result;
@@ -1206,9 +1201,9 @@
  * @param[in] value	The value to be set.
  * @param[in] optlen	The value length.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket is not found.
- * @returns		EBADMEM if the value parameter is NULL.
- * @returns		NO_DATA if the optlen parameter is zero.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket is not found.
+ * @return		EBADMEM if the value parameter is NULL.
+ * @return		NO_DATA if the optlen parameter is zero.
+ * @return		Other error codes as defined for the
  *			NET_SOCKET_SETSOCKOPT message.
  */
Index: uspace/lib/c/generic/vfs/vfs.c
===================================================================
--- uspace/lib/c/generic/vfs/vfs.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/generic/vfs/vfs.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -136,6 +136,6 @@
 	}
 	
-	dev_handle_t dev_handle;
-	int res = devmap_device_get_handle(fqdn, &dev_handle, flags);
+	devmap_handle_t devmap_handle;
+	int res = devmap_device_get_handle(fqdn, &devmap_handle, flags);
 	if (res != EOK) {
 		if (null_id != -1)
@@ -159,5 +159,5 @@
 	
 	ipcarg_t rc_orig;
-	aid_t req = async_send_2(vfs_phone, VFS_IN_MOUNT, dev_handle, flags, NULL);
+	aid_t req = async_send_2(vfs_phone, VFS_IN_MOUNT, devmap_handle, flags, NULL);
 	ipcarg_t rc = async_data_write_start(vfs_phone, (void *) mpa, mpa_size);
 	if (rc != EOK) {
@@ -328,5 +328,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_4(vfs_phone, VFS_IN_OPEN_NODE, node->fs_handle,
-	    node->dev_handle, node->index, oflag, &answer);
+	    node->devmap_handle, node->index, oflag, &answer);
 	
 	ipcarg_t rc;
@@ -797,5 +797,5 @@
 	if (rc == EOK) {
 		node->fs_handle = stat.fs_handle;
-		node->dev_handle = stat.dev_handle;
+		node->devmap_handle = stat.devmap_handle;
 		node->index = stat.index;
 	}
Index: uspace/lib/c/include/adt/char_map.h
===================================================================
--- uspace/lib/c/include/adt/char_map.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/adt/char_map.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -48,9 +48,4 @@
 typedef struct char_map	char_map_t;
 
-/** Type definition of the character string to integer map pointer.
- *  @see char_map
- */
-typedef char_map_t *char_map_ref;
-
 /** Character string to integer map item.
  *
@@ -69,15 +64,15 @@
 	int next;
 	/** Next character array. */
-	char_map_ref *items;
+	char_map_t **items;
 	/** Consistency check magic value. */
 	int magic;
 };
 
-extern int char_map_initialize(char_map_ref);
-extern void char_map_destroy(char_map_ref);
-extern int char_map_exclude(char_map_ref, const char *, size_t);
-extern int char_map_add(char_map_ref, const char *, size_t, const int);
-extern int char_map_find(const char_map_ref, const char *, size_t);
-extern int char_map_update(char_map_ref, const char *, size_t, const int);
+extern int char_map_initialize(char_map_t *);
+extern void char_map_destroy(char_map_t *);
+extern int char_map_exclude(char_map_t *, const char *, size_t);
+extern int char_map_add(char_map_t *, const char *, size_t, const int);
+extern int char_map_find(const char_map_t *, const char *, size_t);
+extern int char_map_update(char_map_t *, const char *, size_t, const int);
 
 #endif
Index: uspace/lib/c/include/adt/dynamic_fifo.h
===================================================================
--- uspace/lib/c/include/adt/dynamic_fifo.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/adt/dynamic_fifo.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -44,9 +44,4 @@
 typedef struct dyn_fifo	dyn_fifo_t;
 
-/** Type definition of the dynamic fifo queue pointer.
- *  @see dyn_fifo
- */
-typedef dyn_fifo_t *dyn_fifo_ref;
-
 /** Dynamic first in first out positive integer queue.
  * Possitive integer values only.
@@ -66,9 +61,9 @@
 };
 
-extern int dyn_fifo_initialize(dyn_fifo_ref, int);
-extern int dyn_fifo_destroy(dyn_fifo_ref);
-extern int dyn_fifo_push(dyn_fifo_ref, int, int);
-extern int dyn_fifo_pop(dyn_fifo_ref);
-extern int dyn_fifo_value(dyn_fifo_ref);
+extern int dyn_fifo_initialize(dyn_fifo_t *, int);
+extern int dyn_fifo_destroy(dyn_fifo_t *);
+extern int dyn_fifo_push(dyn_fifo_t *, int, int);
+extern int dyn_fifo_pop(dyn_fifo_t *);
+extern int dyn_fifo_value(dyn_fifo_t *);
 
 #endif
Index: uspace/lib/c/include/adt/generic_char_map.h
===================================================================
--- uspace/lib/c/include/adt/generic_char_map.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/adt/generic_char_map.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -55,5 +55,4 @@
 	\
 	typedef	struct name name##_t; \
-	typedef	name##_t *name##_ref; \
 	\
 	struct	name { \
@@ -63,11 +62,11 @@
 	}; \
 	\
-	int name##_add(name##_ref, const char *, const size_t, type *); \
-	int name##_count(name##_ref); \
-	void name##_destroy(name##_ref); \
-	void name##_exclude(name##_ref, const char *, const size_t); \
-	type *name##_find(name##_ref, const char *, const size_t); \
-	int name##_initialize(name##_ref); \
-	int name##_is_valid(name##_ref);
+	int name##_add(name##_t *, const char *, const size_t, type *); \
+	int name##_count(name##_t *); \
+	void name##_destroy(name##_t *); \
+	void name##_exclude(name##_t *, const char *, const size_t); \
+	type *name##_find(name##_t *, const char *, const size_t); \
+	int name##_initialize(name##_t *); \
+	int name##_is_valid(name##_t *);
 
 /** Character string to generic type map implementation.
@@ -81,5 +80,5 @@
 	GENERIC_FIELD_IMPLEMENT(name##_items, type) \
 	\
-	int name##_add(name##_ref map, const char *name, const size_t length, \
+	int name##_add(name##_t *map, const char *name, const size_t length, \
 	     type *value) \
 	{ \
@@ -99,5 +98,5 @@
 	} \
 	\
-	int name##_count(name##_ref map) \
+	int name##_count(name##_t *map) \
 	{ \
 		return name##_is_valid(map) ? \
@@ -105,5 +104,5 @@
 	} \
 	\
-	void name##_destroy(name##_ref map) \
+	void name##_destroy(name##_t *map) \
 	{ \
 		if (name##_is_valid(map)) { \
@@ -113,5 +112,5 @@
 	} \
 	\
-	void name##_exclude(name##_ref map, const char *name, \
+	void name##_exclude(name##_t *map, const char *name, \
 	    const size_t length) \
 	{ \
@@ -125,5 +124,5 @@
 	} \
 	\
-	type *name##_find(name##_ref map, const char *name, \
+	type *name##_find(name##_t *map, const char *name, \
 	    const size_t length) \
 	{ \
@@ -138,5 +137,5 @@
 	} \
 	\
-	int name##_initialize(name##_ref map) \
+	int name##_initialize(name##_t *map) \
 	{ \
 		int rc; \
@@ -155,5 +154,5 @@
 	} \
 	\
-	int name##_is_valid(name##_ref map) \
+	int name##_is_valid(name##_t *map) \
 	{ \
 		return map && (map->magic == GENERIC_CHAR_MAP_MAGIC_VALUE); \
Index: uspace/lib/c/include/adt/generic_field.h
===================================================================
--- uspace/lib/c/include/adt/generic_field.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/adt/generic_field.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -53,5 +53,4 @@
 #define GENERIC_FIELD_DECLARE(name, type) \
 	typedef	struct name name##_t; \
-	typedef	name##_t *name##_ref; \
 	\
 	struct	name { \
@@ -62,12 +61,12 @@
 	}; \
 	\
-	int name##_add(name##_ref, type *); \
-	int name##_count(name##_ref); \
-	void name##_destroy(name##_ref); \
-	void name##_exclude_index(name##_ref, int); \
-	type **name##_get_field(name##_ref); \
-	type *name##_get_index(name##_ref, int); \
-	int name##_initialize(name##_ref); \
-	int name##_is_valid(name##_ref);
+	int name##_add(name##_t *, type *); \
+	int name##_count(name##_t *); \
+	void name##_destroy(name##_t *); \
+	void name##_exclude_index(name##_t *, int); \
+	type **name##_get_field(name##_t *); \
+	type *name##_get_index(name##_t *, int); \
+	int name##_initialize(name##_t *); \
+	int name##_is_valid(name##_t *);
 
 /** Generic type field implementation.
@@ -79,5 +78,5 @@
  */
 #define GENERIC_FIELD_IMPLEMENT(name, type) \
-	int name##_add(name##_ref field, type *value) \
+	int name##_add(name##_t *field, type *value) \
 	{ \
 		if (name##_is_valid(field)) { \
@@ -99,10 +98,10 @@
 	} \
 	\
-	int name##_count(name##_ref field) \
+	int name##_count(name##_t *field) \
 	{ \
 		return name##_is_valid(field) ? field->next : -1; \
 	} \
 	\
-	void name##_destroy(name##_ref field) \
+	void name##_destroy(name##_t *field) \
 	{ \
 		if (name##_is_valid(field)) { \
@@ -117,5 +116,5 @@
 	} \
 	 \
-	void name##_exclude_index(name##_ref field, int index) \
+	void name##_exclude_index(name##_t *field, int index) \
 	{ \
 		if (name##_is_valid(field) && (index >= 0) && \
@@ -126,5 +125,5 @@
 	} \
 	 \
-	type *name##_get_index(name##_ref field, int index) \
+	type *name##_get_index(name##_t *field, int index) \
 	{ \
 		if (name##_is_valid(field) && (index >= 0) && \
@@ -134,10 +133,10 @@
 	} \
 	\
-	type **name##_get_field(name##_ref field) \
+	type **name##_get_field(name##_t *field) \
 	{ \
 		return name##_is_valid(field) ? field->items : NULL; \
 	} \
 	\
-	int name##_initialize(name##_ref field) \
+	int name##_initialize(name##_t *field) \
 	{ \
 		if (!field) \
@@ -153,5 +152,5 @@
 	} \
 	\
-	int name##_is_valid(name##_ref field) \
+	int name##_is_valid(name##_t *field) \
 	{ \
 		return field && (field->magic == GENERIC_FIELD_MAGIC_VALUE); \
Index: uspace/lib/c/include/adt/int_map.h
===================================================================
--- uspace/lib/c/include/adt/int_map.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/adt/int_map.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -56,7 +56,5 @@
 #define INT_MAP_DECLARE(name, type) \
 	typedef	struct name name##_t; \
-	typedef	name##_t *name##_ref; \
 	typedef	struct name##_item name##_item_t; \
-	typedef	name##_item_t *name##_item_ref; \
 	\
 	struct	name##_item { \
@@ -69,21 +67,21 @@
 		int size; \
 		int next; \
-		name##_item_ref items; \
+		name##_item_t *items; \
 		int magic; \
 	}; \
 	\
-	int name##_add(name##_ref, int, type *); \
-	void name##_clear(name##_ref); \
-	int name##_count(name##_ref); \
-	void name##_destroy(name##_ref); \
-	void name##_exclude(name##_ref, int); \
-	void name##_exclude_index(name##_ref, int); \
-	type *name##_find(name##_ref, int); \
-	int name##_update(name##_ref, int, int); \
-	type *name##_get_index(name##_ref, int); \
-	int name##_initialize(name##_ref); \
-	int name##_is_valid(name##_ref); \
-	void name##_item_destroy(name##_item_ref); \
-	int name##_item_is_valid(name##_item_ref);
+	int name##_add(name##_t *, int, type *); \
+	void name##_clear(name##_t *); \
+	int name##_count(name##_t *); \
+	void name##_destroy(name##_t *); \
+	void name##_exclude(name##_t *, int); \
+	void name##_exclude_index(name##_t *, int); \
+	type *name##_find(name##_t *, int); \
+	int name##_update(name##_t *, int, int); \
+	type *name##_get_index(name##_t *, int); \
+	int name##_initialize(name##_t *); \
+	int name##_is_valid(name##_t *); \
+	void name##_item_destroy(name##_item_t *); \
+	int name##_item_is_valid(name##_item_t *);
 
 /** Integer to generic type map implementation.
@@ -95,10 +93,10 @@
  */
 #define INT_MAP_IMPLEMENT(name, type) \
-	int name##_add(name##_ref map, int key, type *value) \
+	int name##_add(name##_t *map, int key, type *value) \
 	{ \
 		if (name##_is_valid(map)) { \
 			if (map->next == (map->size - 1)) { \
-				name##_item_ref tmp; \
-				tmp = (name##_item_ref) realloc(map->items, \
+				name##_item_t *tmp; \
+				tmp = (name##_item_t *) realloc(map->items, \
 				    sizeof(name##_item_t) * 2 * map->size); \
 				if (!tmp) \
@@ -117,5 +115,5 @@
 	} \
 	\
-	void name##_clear(name##_ref map) \
+	void name##_clear(name##_t *map) \
 	{ \
 		if (name##_is_valid(map)) { \
@@ -132,10 +130,10 @@
 	} \
 	\
-	int name##_count(name##_ref map) \
+	int name##_count(name##_t *map) \
 	{ \
 		return name##_is_valid(map) ? map->next : -1; \
 	} \
 	\
-	void name##_destroy(name##_ref map) \
+	void name##_destroy(name##_t *map) \
 	{ \
 		if (name##_is_valid(map)) { \
@@ -152,5 +150,5 @@
 	} \
 	\
-	void name##_exclude(name##_ref map, int key) \
+	void name##_exclude(name##_t *map, int key) \
 	{ \
 		if (name##_is_valid(map)) { \
@@ -166,5 +164,5 @@
 	} \
 	\
-	void name##_exclude_index(name##_ref map, int index) \
+	void name##_exclude_index(name##_t *map, int index) \
 	{ \
 		if (name##_is_valid(map) && (index >= 0) && \
@@ -175,5 +173,5 @@
 	} \
 	\
-	type *name##_find(name##_ref map, int key) \
+	type *name##_find(name##_t *map, int key) \
 	{ \
 		if (name##_is_valid(map)) { \
@@ -189,5 +187,5 @@
 	} \
 	\
-	int name##_update(name##_ref map, int key, int new_key) \
+	int name##_update(name##_t *map, int key, int new_key) \
 	{ \
 		if (name##_is_valid(map)) { \
@@ -208,5 +206,5 @@
 	} \
 	\
-	type *name##_get_index(name##_ref map, int index) \
+	type *name##_get_index(name##_t *map, int index) \
 	{ \
 		if (name##_is_valid(map) && (index >= 0) && \
@@ -218,5 +216,5 @@
 	} \
 	\
-	int name##_initialize(name##_ref map) \
+	int name##_initialize(name##_t *map) \
 	{ \
 		if (!map) \
@@ -224,5 +222,5 @@
 		map->size = 2; \
 		map->next = 0; \
-		map->items = (name##_item_ref) malloc(sizeof(name##_item_t) * \
+		map->items = (name##_item_t *) malloc(sizeof(name##_item_t) * \
 		    map->size); \
 		if (!map->items) \
@@ -233,10 +231,10 @@
 	} \
 	\
-	int name##_is_valid(name##_ref map) \
+	int name##_is_valid(name##_t *map) \
 	{ \
 		return map && (map->magic == INT_MAP_MAGIC_VALUE); \
 	} \
 	\
-	void name##_item_destroy(name##_item_ref item) \
+	void name##_item_destroy(name##_item_t *item) \
 	{ \
 		if (name##_item_is_valid(item)) { \
@@ -249,5 +247,5 @@
 	} \
 	\
-	int name##_item_is_valid(name##_item_ref item) \
+	int name##_item_is_valid(name##_item_t *item) \
 	{ \
 		return item && (item->magic == INT_MAP_ITEM_MAGIC_VALUE); \
Index: uspace/lib/c/include/adt/measured_strings.h
===================================================================
--- uspace/lib/c/include/adt/measured_strings.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/adt/measured_strings.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -47,9 +47,4 @@
 typedef struct measured_string measured_string_t;
 
-/** Type definition of the character string with measured length pointer.
- * @see measured_string
- */
-typedef measured_string_t *measured_string_ref;
-
 /** Character string with measured length.
  *
@@ -64,10 +59,10 @@
 };
 
-extern measured_string_ref measured_string_create_bulk(const char *, size_t);
-extern measured_string_ref measured_string_copy(measured_string_ref);
-extern int measured_strings_receive(measured_string_ref *, char **, size_t);
-extern int measured_strings_reply(const measured_string_ref, size_t);
-extern int measured_strings_return(int, measured_string_ref *, char **, size_t);
-extern int measured_strings_send(int, const measured_string_ref, size_t);
+extern measured_string_t *measured_string_create_bulk(const char *, size_t);
+extern measured_string_t *measured_string_copy(measured_string_t *);
+extern int measured_strings_receive(measured_string_t **, char **, size_t);
+extern int measured_strings_reply(const measured_string_t *, size_t);
+extern int measured_strings_return(int, measured_string_t **, char **, size_t);
+extern int measured_strings_send(int, const measured_string_t *, size_t);
 
 #endif
Index: uspace/lib/c/include/devman.h
===================================================================
--- uspace/lib/c/include/devman.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/include/devman.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -42,16 +42,18 @@
 
 
-int devman_get_phone(devman_interface_t, unsigned int);
-void devman_hangup_phone(devman_interface_t iface);
+extern int devman_get_phone(devman_interface_t, unsigned int);
+extern void devman_hangup_phone(devman_interface_t);
 
-int devman_driver_register(const char *, async_client_conn_t);
-int devman_child_device_register(const char *, match_id_list_t *, device_handle_t, device_handle_t *);
+extern int devman_driver_register(const char *, async_client_conn_t);
+extern int devman_child_device_register(const char *, match_id_list_t *,
+    devman_handle_t, devman_handle_t *);
 
-int devman_device_connect(device_handle_t handle, unsigned int flags);
-int devman_parent_device_connect(device_handle_t handle, unsigned int flags);
+extern int devman_device_connect(devman_handle_t, unsigned int);
+extern int devman_parent_device_connect(devman_handle_t, unsigned int);
 
-int devman_device_get_handle(const char *pathname, device_handle_t *handle, unsigned int flags);
+extern int devman_device_get_handle(const char *, devman_handle_t *,
+    unsigned int);
 
-int devman_add_device_to_class(device_handle_t dev_handle, const char *class_name);
+extern int devman_add_device_to_class(devman_handle_t, const char *);
 
 #endif
